html{
    scroll-behavior: smooth;
    /* The above css makes scrolling to div possible by id */
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background: #fff;
    color: #000;
    font-size: 15px;
    line-height: 1.5;
}

a {
    color: #262626;
    text-decoration: none;
}

ul {
    list-style: none;
}

.container {
    width: 90%;
    max-width: 1100px;
    margin: auto;
}

/* Nav */
.main-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 60px;
    padding: 20px 0;
    font-size: 13px;
}

.main-nav .logo {
    width: 30px;
}

.main-nav ul {
    display: flex;
}

.main-nav ul li {
    padding: 0 10px;
}

.main-nav ul li a {
    padding-bottom: 2px;
}

.main-nav ul li a:hover {
    border-bottom: 2px solid #262626;
}

.main-nav ul.main-menu {
    flex: 1;
    margin-left: 20px;
}

.menu-btn {
    cursor: pointer;
    position: absolute;
    top: 20px;
    right: 30px;
    z-index: 2;
    display: none;
}

.btn {
    cursor: pointer;
    display: inline-block;
    border: 0;
    font-weight: bold;
    padding: 10px 40px;
    background: #262626;
    color: #fff;
    font-size: 15px;;
}

.btn:hover {
    opacity: 0.9;
}

.dark {
    color: #fff;
}

.dark .btn {
    background: #f4f4f4;
    color: #333;
}

/* Showcase */
.showcase {
    width: 100%;
    height: 400px;
    
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: flex-end;
    padding-bottom: 50px;
    margin-bottom: 20px;

    background: url('../images/index/stock/digital/zeus.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position:  center center;
}

.showcase h2, .showcase p {
    margin-bottom: 10px;
}

.showcase .btn {
    margin-top: 20px;
}

/* Home cards */
.home-cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 20px;
    margin-bottom: 60px;
    text-align: justify;
}

.home-cards img {
    width: 60%;
    height: 45%;
    margin-bottom: 20px;
}

.home-cards h3 {
    margin-bottom: 5px;
}

.home-cards a {
    display: inline-block;
    padding-top: 10px;
    color: #0067b8;
    text-transform: uppercase;
    font-weight: bold;
}

.home-cards a:hover i {
    margin-left: 10px;
}

.home-cards p {
    margin-bottom: 20px;
}

.house-cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 20px;
    margin-bottom: 60px;
    text-align: justify;
}

.house-cards img {
    width: 100%;
    margin-bottom: 20px;
}

.house-cards h3 {
    margin-bottom: 5px;
}

.house-cards a {
    display: inline-block;
    padding-top: 10px;
    color: #0067b8;
    text-transform: uppercase;
    font-weight: bold;
}

.house-cards a:hover i {
    margin-left: 10px;
}

.house-cards p {
    margin-bottom: 20px;
}

/* Xbox */
.xbox {
    width: 100%;
    height: 350px;
    background: url('../images/index/stock/digital/artificial_intelligence.jpg') no-repeat center center/cover;
    margin-bottom: 20px;
}

.xbox .content {
    width: 40%;
    padding: 50px 0 0 30px;
}

.xbox p, .carbon p {
    margin: 10px 0 20px;
}

/* Carbon */
.carbon {
    width: 100%;
    height: 300px;
    background: url('../images/index/stock/digital/datacenter.png') no-repeat center center/cover;
}

.carbon .content {
    width: 55%;
    padding: 100px 0 0 30px;
}

/* Follow */
.follow {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin: 30px 0 30px;
}

.follow * {
    margin-right: 10px;
}

/* Social Media Icons */

.fab {
    padding: 4px;
    font-size: 24px;
    width: 30px;
    height: 30px;
    text-decoration: none;
    margin: 5px 5px;
}

.fa:hover {
    opacity: 0.9;
}

.fa-linkedin {
    border-radius: 6px;
    width: 29px;
    height: 31px;
    background: #007bb5;
    color: white;
}

.fa-twitter {
    border-radius: 4px;
    background: #55ACEE;
    color: white;
}

.fa-facebook-f {
    width: 30px;
    border-radius: 8px;
    background: #3B5998;
    color: white;
}

.fa-youtube {
    width: 35px;
    border-radius: 6px;
    padding-right: 5px;
    background: #bb0000;
    color: white;
}

.fa-instagram {
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%);
    -webkit-background-clip: text;
    /* Also define standard property for compatibility */
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: white;
}

.fa-whatsapp {
    color:#fff;
    background:
    linear-gradient(#25d366, #25d366) 14% 84%/16% 16% no-repeat,
    radial-gradient(#25d366 58%, transparent 0);
}

.fa-quora {
    background: #B92B27;
    color: white;
    border-radius: 11px;
}

.fa-tiktok {
    color: #111111;
    filter: drop-shadow(2px 0px 0px #FD3E3E) drop-shadow(-2px -2px 0px #4DE8F4);
}

/* Links */
.links {
    background: #f2f2f2;
    color: #616161;
    font-size: 12px;
    padding: 35px 0;
}

.links-inner {
    max-width: 1100px;
    margin: 0 auto;
    padding: 0 20px;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 10px;
    align-items: flex-start;
    justify-content: center;
}

.links li {
    line-height: 2.8;
}

/* Footer */
.footer {
    background: #f2f2f2;
    color: #616161;
    font-size: 12px;
    padding: 20px 0;
}

.footer-inner {
    max-width: 1100px;
    margin: 0 auto;
    padding: 0 20px 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer div {
    margin-bottom: 20px;
    display: flex;
    align-items: center;
}

.footer div i {
    margin-right: 10px;
}

.footer ul {
    display: flex;
    flex-wrap: wrap;
}

.footer li {
    margin-right: 30px;
    margin-bottom: 20px;
}

@media(max-width: 800px) {    
    .logo {
        display: block;
        position: fixed;
        top: 20px;
        left: 30px;
    }

    .menu-btn {
        display: block;
        position: fixed;
        top: 20px;
        right: 30px;
    }

    .bar1, .bar2, .bar3 {
        width: 35px;
        height: 5px;
        background-color: #333;
        margin: 6px 0;
        transition: 0.4s;
    }
    
    .change .bar1 {
        transform: translate(0, 11px) rotate(-45deg);
    }
    
    .change .bar2 {
        opacity: 0;
    }
    
    .change .bar3 {
        transform: translate(0, -11px) rotate(45deg);
    }

    .right-menu {
        display: block;
        position: fixed;
        top: 20px;
        right: 30px;
    }

    .menu-btn:hover {
        opacity: 0.5;
    }

    .main-nav ul.right-menu {
        margin-right: 50px;
    }

    .main-nav ul.main-menu {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        background: #f2f2f2;
        width: 50%;
        height: 100%;
        border-right: #ccc 1px solid;
        opacity: 0.9;
        padding: 30px;
        padding-top: 50px;
        transform: translateX(-500px);
        transition: transform 0.5s ease-in-out;
    }

    .main-nav ul.main-menu li {
        padding: 10px;
        border-bottom: #ccc solid 1px;
        font-size: 14px;
    }

    .main-nav ul.main-menu li:last-child {
        border-bottom: 0;
    }

    .main-nav ul.main-menu.show {
        transform: translateX(-20px);
    }

    .home-cards {
        grid-template-columns: repeat(2, 1fr);
    }

    .house-cards {
        grid-template-columns: repeat(2, 1fr);
    }

    .xbox .content p {
        display: none;
    }

    .xbox .content h2 {
        margin-bottom: 20px;
    }

    .carbon .content {
        width: 85%;
    }

    .links .links-inner {
        grid-template-columns: repeat(2, 1fr);
    }

    .xbox {
        max-width: 100%;
        width: 100%;
        height: auto !important;
        padding: 30px;
        /* background: url('../images/index/stock/digital/artificial_intelligence.jpg') no-repeat center center/cover; */
    }

    .showcase {
        max-width: 100%;
        width: 100%;
        height: auto !important;
        padding: 30px;
    }

    .carbon {
        max-width: 100%;
        width: 100%;
        height: auto !important;
        padding: 30px;
    }

    .btn i {
        display: none;
    }
}

@media(max-width: 500px) {
    .home-cards {
        grid-template-columns: 1fr;
    }
    
    .house-cards {
        grid-template-columns: 1fr;
    }

    .links .links-inner {
        grid-template-columns: 1fr;
    }

    .links .links-inner ul {
        margin-bottom: 20px;
    }

    .xbox {
        max-width: 100%;
        width: 100%;
        height: auto !important;
        padding: 30px;
        background: url('../images/index/stock/digital/artificial_intelligence_small.jpg') no-repeat center center/cover;
    }
}